> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a layout

> Retrieves a layout item on a specified matter.



## OpenAPI

````yaml /openapi.json get /matters/{matterId}/layouts/{itemId}
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /matters/{matterId}/layouts/{itemId}:
    get:
      tags:
        - Layout Matter Items
      summary: Get a layout
      description: Retrieves a layout item on a specified matter.
      operationId: GetLayoutMatterItemById
      parameters:
        - name: matterId
          in: path
          description: Matter Id
          required: true
          schema:
            type: string
            format: uuid
        - name: itemId
          in: path
          description: Layout item Id
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: When request is successful. Returns a 'LayoutMatterItem' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LayoutMatterItem'
        '404':
          description: >-
            When a layout item with the specified ID does not exist on the
            matter.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    LayoutMatterItem:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        name:
          type: string
          description: Name of the layout item.
          nullable: true
          example: Item
        description:
          type: string
          description: Brief description of the layout item.
          nullable: true
          example: Text describing item
        itemId:
          type: string
          description: Unique identifier for the layout item.
          format: uuid
          example: 59791902-6280-471b-bd18-f8439ba3042f
        parentId:
          type: string
          description: Unique identifier for the parent layout design.
          nullable: true
          example: Client
        index:
          type: integer
          description: Zero-based index of the layout item.
          format: int32
          example: 0
        parentIndex:
          type: integer
          description: Zero-based index of the parent layout matter item, if one exists.
          format: int32
          nullable: true
          example: 0
        layoutDesign:
          allOf:
            - $ref: '#/components/schemas/Link'
          description: Hypermedia link of the layout design.
          nullable: true
        values:
          type: array
          items:
            $ref: '#/components/schemas/LayoutValue'
          description: List of layout values.
          nullable: true
        events:
          type: array
          items:
            $ref: '#/components/schemas/LayoutEvent'
          description: List of layout events.
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    LayoutValue:
      type: object
      properties:
        key:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
        state:
          description: >-
            Gets or sets the object that contains supplemental data about the
            key/value pair.


            This property was introduced in NV-2643, and is usage-specific. It
            contains data which is used together with Value.

            For example, if a layout contains a textbox control with an override
            checkbox, their Text and IsChecked properties

            can be persisted in Value and State respectively. In this case, the
            type of State would be bool or bool?.
          nullable: true
      additionalProperties: false
    LayoutEvent:
      type: object
      properties:
        id:
          type: string
          nullable: true
        appointmentId:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````